[android-components](../../index.md) / [mozilla.components.feature.addons.ui](../index.md) / [UnsupportedAddonsAdapter](index.md) / [onCreateViewHolder](./on-create-view-holder.md)

# onCreateViewHolder

`fun onCreateViewHolder(parent: <ERROR CLASS>, viewType: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)`): ViewHolder` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/addons/src/main/java/mozilla/components/feature/addons/ui/UnsupportedAddonsAdapter.kt#L86)